Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] poedit: remove un-needed makedepends
@ 2020-11-21 21:52 ndowens
  2020-11-21 21:59 ` [PR PATCH] [Updated] " ndowens
  2020-11-21 22:41 ` [PR PATCH] [Merged]: " the-maldridge
  0 siblings, 2 replies; 3+ messages in thread
From: ndowens @ 2020-11-21 21:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 320 bytes --]

There is a new pull request by ndowens against master on the void-packages repository

https://github.com/ndowens/void-packages poedit
https://github.com/void-linux/void-packages/pull/26578

poedit: remove un-needed makedepends


A patch file from https://github.com/void-linux/void-packages/pull/26578.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-poedit-26578.patch --]
[-- Type: text/x-diff, Size: 1044 bytes --]

From 5cf776769c800e04f62076c4e3e2f3712bd68a00 Mon Sep 17 00:00:00 2001
From: Nathan Owens <ndowens@artixlinux.org>
Date: Sat, 21 Nov 2020 15:39:22 -0600
Subject: [PATCH] poedit: remove un-needed makedepends

---
 srcpkgs/poedit/template | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/poedit/template b/srcpkgs/poedit/template
index 4b0fe5d6cbc..6e94e01fa97 100644
--- a/srcpkgs/poedit/template
+++ b/srcpkgs/poedit/template
@@ -1,13 +1,12 @@
 # Template file for 'poedit'
 pkgname=poedit
 version=2.4.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-wx-config=wx-config-gtk3"
 hostmakedepends="pkg-config"
 makedepends="boost-devel cld2-devel db-devel enchant2-devel gtk+3-devel
- gtkspell3-devel libharfbuzz libxml2 Lucene++-devel webkit2gtk
- wxWidgets-gtk3-devel"
+ gtkspell3-devel Lucene++-devel wxWidgets-gtk3-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Cross-platform gettext catalogs (.po files) editor"
 maintainer="Orphaned <orphan@voidlinux.org>"

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Updated] poedit: remove un-needed makedepends
  2020-11-21 21:52 [PR PATCH] poedit: remove un-needed makedepends ndowens
@ 2020-11-21 21:59 ` ndowens
  2020-11-21 22:41 ` [PR PATCH] [Merged]: " the-maldridge
  1 sibling, 0 replies; 3+ messages in thread
From: ndowens @ 2020-11-21 21:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 466 bytes --]

There is an updated pull request by ndowens against master on the void-packages repository

https://github.com/ndowens/void-packages poedit
https://github.com/void-linux/void-packages/pull/26578

poedit: remove un-needed makedepends
Thought the added deps was needed, but was pointed out they probably wasn't needed, so retried without added deps and it builds fine without.

A patch file from https://github.com/void-linux/void-packages/pull/26578.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-poedit-26578.patch --]
[-- Type: text/x-diff, Size: 953 bytes --]

From 7f18c0c9acff9d3945f45b4e4a0dd3fee908ac21 Mon Sep 17 00:00:00 2001
From: Nathan Owens <ndowens@artixlinux.org>
Date: Sat, 21 Nov 2020 15:39:22 -0600
Subject: [PATCH] poedit: remove un-needed makedepends

---
 srcpkgs/poedit/template | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/srcpkgs/poedit/template b/srcpkgs/poedit/template
index 4b0fe5d6cbc..4616503a942 100644
--- a/srcpkgs/poedit/template
+++ b/srcpkgs/poedit/template
@@ -6,8 +6,7 @@ build_style=gnu-configure
 configure_args="--with-wx-config=wx-config-gtk3"
 hostmakedepends="pkg-config"
 makedepends="boost-devel cld2-devel db-devel enchant2-devel gtk+3-devel
- gtkspell3-devel libharfbuzz libxml2 Lucene++-devel webkit2gtk
- wxWidgets-gtk3-devel"
+ gtkspell3-devel Lucene++-devel wxWidgets-gtk3-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Cross-platform gettext catalogs (.po files) editor"
 maintainer="Orphaned <orphan@voidlinux.org>"

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Merged]: poedit: remove un-needed makedepends
  2020-11-21 21:52 [PR PATCH] poedit: remove un-needed makedepends ndowens
  2020-11-21 21:59 ` [PR PATCH] [Updated] " ndowens
@ 2020-11-21 22:41 ` the-maldridge
  1 sibling, 0 replies; 3+ messages in thread
From: the-maldridge @ 2020-11-21 22:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 311 bytes --]

There's a merged pull request on the void-packages repository

poedit: remove un-needed makedepends
https://github.com/void-linux/void-packages/pull/26578

Description:
Thought the added deps was needed, but was pointed out they probably wasn't needed, so retried without added deps and it builds fine without.

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2020-11-21 22:41 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-11-21 21:52 [PR PATCH] poedit: remove un-needed makedepends ndowens
2020-11-21 21:59 ` [PR PATCH] [Updated] " ndowens
2020-11-21 22:41 ` [PR PATCH] [Merged]: " the-maldridge

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git